Register VCF Infra Endpoints
Register a VCF infra endpoint (SDDC Manager) in VCFA.
Register a VCF infra endpoint (SDDC Manager) in VCFA.
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/vcfInfraEndpoints
COPY
Request Body
VCFInfraEndpoint
of type(s)
application/json
Optional
Show optional properties
{
"name": "string",
"hostName": "string",
"username": "string",
"password": "string",
"version": "string"
}
{
"id": "urn:vcloud:vcfInfraEndpoint:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"hostName": "string",
"username": "string",
"password": "string",
"ipaddress": "string",
"certificate": "string",
"version": "string"
}
Responses
201
Created
Returns
VCFInfraEndpoint
of type(s)
application/json;version=9.1.0
{
"id": "urn:vcloud:vcfInfraEndpoint:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"hostName": "string",
"username": "string",
"password": "string",
"ipaddress": "string",
"certificate": "string",
"version": "string"
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"hostName":"string","name":"string","password":"string","username":"string","version":"string"}' https://{api_host}/cloudapi/1.0.0/vcfInfraEndpoints
Availability
Added in 9.0.0
Vcf Infra Endpoints Operations
GET
Query Vcf Infra Endpoints
POST
Register VCF Infra Endpoints
GET
Get VCF Infra Endpoint
PUT
Update VCF Infra Endpoint
DELETE
Delete VCF Infra Endpoint
POST
Refresh Vcf Endpoint
POST
Rotate Service Accounts
POST
Rotate Api Key
GET
Get Vcf Infra Endpoint Password